> ## Documentation Index
> Fetch the complete documentation index at: https://docs.togai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List incidents

> Returns a list of incidents with pagination and sort.



## OpenAPI

````yaml get /incidents
openapi: 3.0.3
info:
  version: '1.0'
  title: Togai Apis
  contact:
    email: engg@togai.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  description: APIs for Togai App
servers:
  - description: Api endpoint
    url: https://api.togai.com/
  - description: Sandbox api endpoint
    url: https://sandbox-api.togai.com/
security:
  - bearerAuth: []
tags:
  - name: Customers
    description: Customer level calls
  - name: Accounts
    description: Account level calls
  - name: Event Schemas
    description: Event Schema level calls
  - name: Usage Meters
    description: Usage Meter level calls
  - name: Price Plans
    description: (DEPRECATED) Price Plan level calls
  - name: PricePlanV2
    description: Price Plan V2 level calls
  - name: Schedules
    description: Account Schedule level calls
  - name: Pricing Rules
    description: Pricing Rules level calls
  - name: Settings
    description: Settings
  - name: Price Experimentation
    description: Price Experimentation apis
  - name: InvoiceGroups
    description: Invoice Group level calls
  - name: Organization
    description: Organization level calls
  - name: FileStorage
    description: File Storage level calls
  - name: Aliases
    description: Alias level calls
  - name: Reports
    description: Report level calls
  - name: ReportTemplates
    description: Report Template level calls
  - name: Customer Portal
    description: Portal level calls
  - name: Alerts
    description: Alert level calls
  - name: Event Management
    description: APIs for getting events ingested in Togai
    externalDocs:
      description: docs
      url: https://togai.com/docs/billing/events
  - name: Metrics
    description: APIs for getting Togai metrics
    externalDocs:
      description: docs
      url: https://togai.com/docs/metrics
  - name: Licenses
    description: APIs for getting or updating license records in Togai
  - name: Entitlements
    description: APIs related to entitlements
  - name: Invoices
    description: Invoices API
  - name: Credits
    description: Credits API
  - name: Wallet
    description: Wallet API
  - name: InvoiceTemplates
    description: InvoiceTemplates API
  - name: InvoiceSequence
    description: InvoiceSequence API
  - name: Payments
    description: Payments API
  - name: Authentication
    description: Authentication API
externalDocs:
  description: Find out more about Togai
  url: https://docs.togai.com/docs
paths:
  /incidents:
    get:
      tags:
        - Alerts
      summary: List incidents
      description: Returns a list of incidents with pagination and sort.
      operationId: getIncidents
      responses:
        '200':
          $ref: '#/components/responses/IncidentsPaginatedResponse'
        '400':
          $ref: '#/components/responses/ErrorResponse'
        '401':
          $ref: '#/components/responses/ErrorResponse'
        '403':
          $ref: '#/components/responses/ErrorResponse'
        '404':
          $ref: '#/components/responses/ErrorResponse'
        '429':
          $ref: '#/components/responses/ErrorResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
components:
  responses:
    IncidentsPaginatedResponse:
      description: Response for list incidents request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/IncidentsPaginatedResponse'
          examples:
            IncidentsPaginatedResponse:
              $ref: '#/components/examples/IncidentsPaginatedResponse'
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            ErrorResponse:
              summary: Error message
              value:
                message: <Reason message>
  schemas:
    IncidentsPaginatedResponse:
      type: object
      additionalProperties: false
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Incident'
        nextToken:
          type: string
    ErrorResponse:
      type: object
      additionalProperties: false
      required:
        - message
      properties:
        message:
          type: string
          description: error description
          maxLength: 500
    Incident:
      type: object
      additionalProperties: false
      required:
        - id
        - alertId
        - alertVersion
        - alertTemplateId
        - status
        - createdAt
      properties:
        id:
          type: string
          description: Incident ID
        alertId:
          type: string
          description: Alert ID
        alertVersion:
          type: integer
          description: Alert Version
        alertTemplateId:
          type: string
          description: Alert Template Id
        validUntil:
          type: string
          format: date-time
        reportData:
          additionalProperties:
            type: object
        status:
          type: string
          description: Incident Status
        lastCheckedAt:
          type: string
          format: date-time
          description: Last Checked At
        createdAt:
          type: string
          format: date-time
          description: Created At
        updatedAt:
          type: string
          format: date-time
          description: Updated At
  examples:
    IncidentsPaginatedResponse:
      value:
        data:
          - id: incident.1zYnCiM9Bpg.lv25y
            alertTemplateId: abcd-efgh-ijkl-mnop
            alertId: alert.1zYnCiM9Bpg.lv25y
            alertVersion: 1
            validUntil: '2020-01-01T00:00:00Z'
            reportData:
              usageValue: 10
            status: ACTIVE
            createdAt: '2020-01-01T00:00:00Z'
            updatedAt: '2020-01-01T00:00:00Z'
        nextToken: >-
          eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ==
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer <credential>

````